%global modname dbusmock

Name:             python-%{modname}
Version:          0.27.3
Release:          1
Summary:          Mock D-Bus objects
License:          LGPLv3+
URL:              https://pypi.python.org/pypi/python-dbusmock
Source0:          https://github.com/martinpitt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildArch:        noarch
BuildRequires:    python3-dbus
BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
BuildRequires:    python3-gobject
BuildRequires:    dbus-x11
BuildRequires:    upower

%global _description\
With this program/Python library you can easily create mock objects on\
D-Bus. This is useful for writing tests for software which talks to\
D-Bus services such as upower, systemd, ConsoleKit, gnome-session or\
others, and it is hard (or impossible without root privileges) to set\
the state of the real services to what you expect in your tests.

%description %_description

%package -n python3-dbusmock
Summary: %summary (Python3)
Requires:         python3-dbus, python3-gobject, dbus-x11
%description -n python3-dbusmock %_description

%prep
%autosetup -n %{name}-%{version} -p1
rm -rf python-%{modname}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m unittest -v

%files -n python3-dbusmock
%doc README.md COPYING
%{python3_sitelib}/*%{modname}*

%changelog
* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 0.27.3-1
- Upgrade to 0.27.3

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.22.0-2
- DESC: delete -S git from %autosetup, and delete BuildRequires git

* Fri Jun 25 2021 Wenlong Ding <wenlong.ding@turbolinux.com.cn> - 0.22.0-1
- initial package
